Is Regression:
Subject: gzipped files cannot be loaded in the backend
Description

The gzipped files (e.g. typo3temp/compressor/prototype-8ff2741473d3c6dbbb32dd5f7e6b6324.js.gzip) cannot be loaded in the
backend due to the gzip file extension. This problem occurs is there's no Apache handler defined for gzipped files.

I think it is useful to have an additional flag in the install tool e.g. "useCompressedFiles" that is disabled per default. Then
t3lib_compressor only writes gzipped files if this flag is set to true.

This only happens if compressionLevel is set and the webserver is not able to handle files with the extension ".gzip".
(issue imported from #M14767)

Related issues:
related to Core - Bug # 17806: After #22546 setting [BE][CompressionLevel] cr... Resolved 2010-06-01
related to Core - Bug # 22565: Improve t3lib_compressor Closed 2010-05-02
related to Core - Bug # 22904: Add Update Wizards for Skinning Changes Closed 2010-06-16
related to Core - Bug # 20434: Improve advanced_htaccess and make it more com... Closed 2009-05-16

History
#1 - 2010-06-17 16:59 - Thomas Hempel

This problem can be avoided by applying some changes to the .htaccess file but that is a rather bad solution in my eyes. It's okay for new installations
but not for existing ones that get updated.

I like the idea of an additional switch. We just don't have enough of them in the core anyway. :-)

#2 - 2010-06-17 17:09 - Chris topher

I doubt that an additional switch would be enough... There are already hundred(?) options in the Install Tool. Noone will notice that there now is one
more and that THIS is the one to change.

Instead make it more obvious: An additional Update Wizard would be great.

Without that I fear there will be many users asking in forums/newsgroups, why there are no styles in the BE.

#3 - 2010-06-18 07:43 - Steffen Gebert

#22904 adds an Update Wizard
#4 - 2010-06-20 14:50 - Chris topher

Fixed with #22904, which was committed in revision 7975.

#5 - 2011-03-29 14:20 - Susanne Moog
- Target version deleted (4.4.0)
